Subject: Re: Can not get PATA to work for Compact Flash with 2.6.28 kernel

From: "Steven A. Falco" <[email-masked]>
Date: Mon, 02 Feb 2009 16:51:55 -0500

Lixin Yao wrote:
> Steven/Aaron,
> 
> I found the problem. On my board, the CF is on a 16 bit interface on bus
> of MPC8248. The HW is connected in Big Endian format. PPC Bit D0 is
> connected to CF Bit D15, and PPC D1 to CF Bit D14, till PPC D0 to CF
> D15. I had to swap the bytes in u-boot. I forgot to do it in Kernel. 
> 
> After making the change, CF is detected. But I can not access /dev/hda
> or any scsi/sda devices under /dev. 
> 

How did you swap the bytes?  The CF will be accessed both in byte mode
and in 16-bit mode.  So this is tricky to do in software.  When we
wired our CF, we deliberately swapped the bytes in hardware.  So the
processor bus MSB goes to pin 6 of the CF.

	Steve